<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.fragment.data.RouteV2Fragment">

    <include
        android:id="@+id/il_home_route_pet_head"
        layout="@layout/layout_top_pet_data_small"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/dp_8"
        android:layout_marginTop="@dimen/dp_8" />

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_margin="@dimen/dp_8"
        android:layout_weight="1"
        app:cardCornerRadius="@dimen/dp_32">

        <androidx.fragment.app.FragmentContainerView
            android:id="@+id/fc_home_route_fragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <com.abbidot.tracker.widget.MapMarkerInfoView
            android:id="@+id/mi_home_route_address_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_home_route_map_type_btn"
            style="@style/map_image_white_btn_style"
            android:layout_gravity="bottom|end"
            android:layout_margin="@dimen/dp_16" />

        <com.abbidot.tracker.widget.VerticalTopToBottomSeekBar
            android:id="@+id/vsb_map_route_line"
            android:layout_width="wrap_content"
            android:visibility="gone"
            android:layout_height="320dp"
            android:layout_gravity="center_vertical|end"
            android:layout_marginBottom="@dimen/dp_18"
            android:max="100"
            android:maxHeight="@dimen/dp_12"
            android:progress="0"
            android:progressDrawable="@drawable/shape_seek_bar_style"
            android:thumb="@drawable/shape_black_circle_bg" />
    </androidx.cardview.widget.CardView>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/dp_8"
        android:background="@drawable/shape_home_route_calendar_bg"
        android:padding="@dimen/dp_12">

        <!--        <View-->
        <!--            android:id="@+id/space_center"-->
        <!--            android:layout_width="@dimen/dp_1"-->
        <!--            android:layout_height="@dimen/dp_1"-->
        <!--            android:layout_centerHorizontal="true" />-->


        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_home_route_calendar_from"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_marginStart="@dimen/dp_80"
            android:layout_marginEnd="@dimen/dp_4"
            android:background="@drawable/shape8_white_gray_bg"
            android:gravity="center"
            android:orientation="horizontal"
            android:paddingVertical="@dimen/dp_8">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_route_calendar_from"
                style="@style/my_TextView_style_v2"
                android:layout_marginStart="@dimen/dp_12"
                android:layout_weight="1"
                android:gravity="start"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textSize="@dimen/textSize12"
                app:typeface="@string/roboto_regular_font" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/dp_8"
                android:src="@drawable/icon_date_time_svg" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_home_route_calendar_from_txt"
            style="@style/my_TextView_style_v2"
            android:layout_alignTop="@id/ll_home_route_calendar_from"
            android:layout_alignBottom="@id/ll_home_route_calendar_from"
            android:text="@string/txt_from"
            android:textColor="@color/white"
            android:textSize="@dimen/textSize14"
            app:typeface="@string/roboto_regular_font" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_home_route_calendar_to"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/ll_home_route_calendar_from"
            android:layout_alignStart="@id/ll_home_route_calendar_from"
            android:layout_alignEnd="@id/ll_home_route_calendar_from"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/shape8_white_gray_bg"
            android:gravity="center"
            android:orientation="horizontal"
            android:paddingVertical="@dimen/dp_8">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_route_calendar_to"
                style="@style/my_TextView_style_v2"
                android:layout_marginStart="@dimen/dp_12"
                android:layout_weight="1"
                android:gravity="start"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textSize="@dimen/textSize12"
                app:typeface="@string/roboto_regular_font" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/dp_8"
                android:src="@drawable/icon_date_time_svg" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_home_route_calendar_to_txt"
            style="@style/my_TextView_style_v2"
            android:layout_alignStart="@id/tv_home_route_calendar_from_txt"
            android:layout_alignTop="@id/ll_home_route_calendar_to"
            android:layout_alignBottom="@id/ll_home_route_calendar_to"
            android:text="@string/txt_to"
            android:textColor="@color/white"
            android:textSize="@dimen/textSize14"
            app:typeface="@string/roboto_regular_font" />
    </RelativeLayout>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/dp_16"
        android:layout_marginVertical="@dimen/dp_8"
        android:gravity="center"
        android:orientation="horizontal"
        android:paddingBottom="@dimen/dp_28">

        <com.abbidot.tracker.widget.TypefaceTextView
            style="@style/my_TextView_style_v2"
            android:layout_width="wrap_content"
            android:layout_below="@id/history_data_address"
            android:layout_weight="1"
            android:gravity="start"
            android:text="@string/txt_track_and_points"
            android:textSize="@dimen/textSize14"
            app:typeface="@string/roboto_regular_font" />

        <RadioGroup
            android:id="@+id/rg_history_route_map_track_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/history_data_address"
            android:layout_alignParentEnd="true"
            android:orientation="horizontal">

            <androidx.appcompat.widget.AppCompatRadioButton
                android:id="@+id/rb_history_route_map_line"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/dp_6"
                android:button="@drawable/selector_history_track_rb"
                android:checked="true" />

            <androidx.appcompat.widget.AppCompatRadioButton
                android:id="@+id/rb_history_route_map_number"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:button="@drawable/selector_history_point_rb" />

        </RadioGroup>

    </androidx.appcompat.widget.LinearLayoutCompat>
</androidx.appcompat.widget.LinearLayoutCompat>